@interface MYFileItem : NSObject {
	NSString* path;
	NSString* baseName;
	NSString* displayName;
	NSString* documentTitle;
	NSImage* icon;
	NSImage* thumbnail;
	BOOL isDirectory;
	NSString* kind;
}
- (id) initWithPath:(NSString*)p;
- (id) initWithNSMetadataItem:(NSMetadataItem*)md;
+ (MYFileItem*) fileItemWithPath:(NSString*)p;
- (NSString*) baseName;
- (NSString*) path;
- (NSArray*) files;
- (NSArray*) userFiles;

- (BOOL) isFile;
- (BOOL) isDirectory;
@end
